Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.cics.server
Class KeyedFileBrowse

    java.lang.Object
      |
      +--com.ibm.cics.server.API
            |
            +--com.ibm.cics.server.FileBrowse
                  |
                  +--com.ibm.cics.server.KeyedFileBrowse

Direct Known Subclasses:
  ESDS_Browse

public class KeyedFileBrowse
extends FileBrowse

Method Summary
`void` | `next(byte[] inputKey, RecordHolder record, KeyHolder outputKey)` Not Implemented.
`void` | `next(RecordHolder record, KeyHolder outputKey)` Not Implemented.
`void` | `previous(byte[] inputKey, RecordHolder record, KeyHolder outputKey)` Not Implemented.
`void` | `previous(RecordHolder record, KeyHolder outputKey)` Not Implemented.
`void` | `reset(byte[] key)` Not Implemented.
`void` | `reset(byte[] key, boolean generic)` Not Implemented.
`void` | `reset(byte[] key, boolean generic, SearchType searchType)` Not Implemented.
`void` | `reset(byte[] key, SearchType searchType)` Not Implemented.

Methods inherited from class com.ibm.cics.server.FileBrowse
`end, getRequestID`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### next

    public void next(byte[] inputKey,
                     RecordHolder record,
                     KeyHolder outputKey)
              throws FileDisabledException,
                     DuplicateKeyException,
                     EndOfFileException,
                     FileNotFoundException,
                     LogicException,
                     InvalidRequestException,
                     IOErrorException,
                     ISCInvalidRequestException,
                     LengthErrorException,
                     NotAuthorisedException,
                     RecordNotFoundException,
                     NotOpenException,
                     InvalidSystemIdException

  This method is not implemented in this release.

### next

    public void next(RecordHolder record,
                     KeyHolder outputKey)
              throws FileDisabledException,
                     DuplicateKeyException,
                     EndOfFileException,
                     FileNotFoundException,
                     LogicException,
                     InvalidRequestException,
                     IOErrorException,
                     ISCInvalidRequestException,
                     LengthErrorException,
                     NotAuthorisedException,
                     RecordNotFoundException,
                     NotOpenException,
                     InvalidSystemIdException

  This method is not implemented in this release.

### previous

    public void previous(byte[] inputKey,
                         RecordHolder record,
                         KeyHolder outputKey)
                  throws FileDisabledException,
                         DuplicateKeyException,
                         EndOfFileException,
                         FileNotFoundException,
                         LogicException,
                         InvalidRequestException,
                         IOErrorException,
                         ISCInvalidRequestException,
                         LengthErrorException,
                         NotAuthorisedException,
                         RecordNotFoundException,
                         NotOpenException,
                         InvalidSystemIdException

  This method is not implemented in this release.

### previous

    public void previous(RecordHolder record,
                         KeyHolder outputKey)
                  throws FileDisabledException,
                         DuplicateKeyException,
                         EndOfFileException,
                         FileNotFoundException,
                         LogicException,
                         InvalidRequestException,
                         IOErrorException,
                         ISCInvalidRequestException,
                         LengthErrorException,
                         NotAuthorisedException,
                         RecordNotFoundException,
                         NotOpenException,
                         InvalidSystemIdException

  This method is not implemented in this release.

### reset

    public void reset(byte[] key)
               throws FileDisabledException,
                      FileNotFoundException,
                      LogicException,
                      InvalidRequestException,
                      IOErrorException,
                      ISCInvalidRequestException,
                      NotAuthorisedException,
                      RecordNotFoundException,
                      NotOpenException,
                      InvalidSystemIdException

  This method is not implemented in this release.

### reset

    public void reset(byte[] key,
                      SearchType searchType)
               throws FileDisabledException,
                      FileNotFoundException,
                      LogicException,
                      InvalidRequestException,
                      IOErrorException,
                      ISCInvalidRequestException,
                      NotAuthorisedException,
                      RecordNotFoundException,
                      NotOpenException,
                      InvalidSystemIdException

  This method is not implemented in this release.

### reset

    public void reset(byte[] key,
                      boolean generic)
               throws FileDisabledException,
                      FileNotFoundException,
                      LogicException,
                      InvalidRequestException,
                      IOErrorException,
                      ISCInvalidRequestException,
                      NotAuthorisedException,
                      RecordNotFoundException,
                      NotOpenException,
                      InvalidSystemIdException

  This method is not implemented in this release.

### reset

    public void reset(byte[] key,
                      boolean generic,
                      SearchType searchType)
               throws FileDisabledException,
                      FileNotFoundException,
                      LogicException,
                      InvalidRequestException,
                      IOErrorException,
                      ISCInvalidRequestException,
                      NotAuthorisedException,
                      RecordNotFoundException,
                      NotOpenException,
                      InvalidSystemIdException

  This method is not implemented in this release.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002 by Sun Microsystems, Inc.